<template>
    <div class="app-container">
      <van-nav-bar
        left-arrow
        fixed
        placeholder
        @click-left="$router.back(-1)"
        @click-right="goAdd"
      >
        <template #title>
          <p style="font-weight: bold;">使用权流转</p>
        </template>
        <template #right>
          <van-icon name="add" size="18" />
        </template>
      </van-nav-bar>
      <van-list
        v-model="loading"
        :finished="finished"
        finished-text="没有更多了"
        @load="getList"
      >
        <van-swipe-cell v-for="(item,index) in applicationList" :key="index">
          <van-cell :title="item.shyqrdm" :value="formatDict(auditStatus, item.auditStatus)" center :to="{name:'circulationDetail', query: {id:item.id}}">
            <template #icon>
              <van-icon name="../../../static/images/onlineHome/icon_zjd2.png" size="30" color="#539FFD" style="margin-right: 10px;" />
            </template>
            <span :style="{color: item.auditStatus == '2' ? '#F56C6C' : (item.auditStatus == '0' ? '#67c23a' : ''),}">{{ item.auditStatus == '2' ? '已驳回' : formatDict(auditStatus, item.auditStatus) }} </span>
            <template #label>
              <p><b style="color: #FFA63E;">{{item.lzfs}}</b><i style="margin-right: 0.5rem;"></i><b style="color: #333333;">{{item.zrfdbmc}}</b><i style="margin-right: 0.5rem;"></i>{{item.lzmj}}㎡</p>
            </template>
          </van-cell>
          <template #right>
            <van-row>
              <van-col>
                <van-button square text="修改" type="info" class="delete-button" :to="{name:'circulationModify', query: {id:item.id}}" />
              </van-col>
<!--              <van-col>-->
<!--                <van-button square text="提交" type="primary" v-if="item.auditStatus=='0'" class="delete-button" @click="submit(item)" />-->
<!--              </van-col>-->
              <van-col>
                <van-button square text="删除" type="danger" @click="deleteList(item.id,index)" class="delete-button" />
              </van-col>
            </van-row>
          </template>
        </van-swipe-cell>
      </van-list>
    </div>
</template>

<script>
  import { getList , removeList, goApply } from "@/api/onlineHome/homestead/circulation";
export default {
    name: "circulationList",
  data() {
    return {
      applicationList:[],
      houseApplyStatus:[],
      auditStatus:[],
      loading: false,
      finished: false,
      queryParams:{
        pageNum:1,
        pageSize:10,
        orderByColumn:'createTime',
        isAsc:'desc'
      }
    };
  },
  created() {
    this.houseGetDicts("lzfs").then((response) => {
      this.houseApplyStatus = response.data;
    });
    this.houseGetDicts("audit_status").then((response) => {
      this.auditStatus = response.data;
    });
  },
  methods: {
    goAdd(){
      window.location = 'circulationAdd';
    },
    getList(){
      setTimeout(() => {
        getList(this.queryParams).then(response => {
          console.log(response)
          for (var i = 0; i < response.rows.length; i++) {
            var houseApplyStatus = this.selectDictLabel(this.houseApplyStatus, response.rows[i].lzfs);
            response.rows[i].lzfs = houseApplyStatus;
            this.applicationList.push(response.rows[i]);
          }
          console.log(this.applicationList.length >= response.total)
          if(this.applicationList.length >= response.total){
            this.finished = true;
            return;
          }else{
            this.loading = false;
            this.queryParams.pageNum += 1 ;
          }
        });
      }, 1000);
    },
    deleteList(id,index){
      this.$dialog.confirm({
        message: '您确认删除申请草稿？',
      })
        .then(() => {
          // on confirm
          this.applicationList.splice(index,1)
          removeList(id).then(res => {
            if(res.code = 200){
              this.$toast.success('删除成功');
              //this.refresh();
            }
          });
        })
        .catch(() => {
          // on cancel
        });
    },
    submit(item) {
      this.$dialog.confirm({
        message: '确认提交该草稿？',
      })
        .then(() => {
          // on confirm
          goApply(item.id).then(res => {
            if(res.code = 200){
              this.$toast.success('提交成功');
              this.refresh();
            }
          });
        })
        .catch(() => {
          // on cancel
        });
    },
    refresh() {
      this.finished = false;
      this.queryParams.pageNum = 1;
      this.applicationList = [];
      this.getList();
    },
    formatDict(dict, value) {
      return this.selectDictLabel(dict, value);
    },
  },
}
</script>

<style scoped lang="scss">
  .app-container {
    padding: 0.2rem 3%;
  }
  /deep/.van-cell__title{
    flex: 0.7;
  }
  /deep/.van-cell__title span{
    font-family: Arial;
    font-size: 0.4rem;
    font-weight: normal;
  }
  /deep/.van-cell__value{
    flex: 0.3;
    color: #1D6FE9;
    font-weight: bold;
  }
  /deep/.van-swipe-cell{
    margin-bottom: 0.2rem;
    border-radius: 0.2rem;
    overflow: hidden;
    box-shadow: 0px 3px 6px 0px rgba(0,0,0,0.16);
  }
  /deep/van-ellipsis{
    font-weight: bold;
  }
  .delete-button {
    height: 100%;
  }
  .van-row{
    height: 100%;
  }
  .van-col{
    height: 100%;
  }
</style>
